<div class="container-fluid">
	<p class="title">
		Assessment Maintenance > <i>Add/Edit Payment Channel</i>
	</p>
	<div class="upper-div d-flex justify-content-between">
		<span class="title">List
			of Payment Channel</span>
		<div class="row mb-2 float-right">
			<label class="heading" for="search">Filter:</label>
			<div class="">
				<input class="form-control ml-3 col-sm-10" #search (keyup)="0">
			</div>
		</div>
		<div class="">
			<button class="btn btn-primary create-btn"
				[routerLink]="['/saq/admin/payment-channel-new']">
				<span class="fa fa-plus"></span> <span> Add a new Payment Channel </span>
			</button>
		</div>
	</div>

	<br/>
	<div class="table-responsive" *ngIf="paymentChannel">
		<table class="table table-striped table-bordered">
			<thead>
				<tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse"
					[callback]="transition.bind(this)">
					<th jhiSortBy="id"><span>ID</span>
						<span class="fa fa-sort"></span></th>
					<th style="width: 50%" jhiSortBy="name"><span>Name</span> <span
						class="fa fa-sort"></span></th>
					<th class="action">Action</th>
				</tr>
			</thead>
			<tbody>
				<tr
					*ngFor="let type of (paymentChannel | filterPaymentChannel: search.value); trackBy: trackId">
					<td>{{type.id}}</td>
					<td>{{type.name}}</td>
					<td class="text-right">
						<!--  -->
						<div>
							<button type="submit" class="btn btn-sm action-btn view"
								[routerLink]="['/saq/admin/payment-channel', type.id]" replaceUrl="true">
								<span class="fa fa-eye"></span>
							</button>
							<button type="submit" replaceUrl="true"
								class="btn btn-sm action-btn edit"
								[routerLink]="['/saq/admin/payment-channel', type.id, 'edit']" replaceUrl="true">
								<span class="fa fa-pencil"></span>
							</button>
							<button type="submit"
								(click)="deleteChannel(type)" class="btn btn-danger btn-sm action-btn">
								<span class="fa fa-trash"></span>
							</button>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<div *ngIf="paymentChannel && paymentChannel.length" class="float-right">
		<div class="row justify-content-center">
			<jhi-item-count [page]="page" [total]="queryCount"
				[itemsPerPage]="itemsPerPage"></jhi-item-count>
		</div>
		<div class="row justify-content-center">
			<ngb-pagination [collectionSize]="totalItems" [(page)]="page"
				(pageChange)="loadPage(page)"></ngb-pagination>
		</div>
	</div> 
</div>